System.Data 1.0.5000.0 2.0.0.0 System.Data.Common.DbCommandBuilder

The does not automatically generate the SQL statements required to reconcile changes made to a associated with the data source. However, you can create an object that generates SQL statements for single-table updates by setting the property of the . The then generates any additional SQL statements that you do not set.

The relationship between an and its corresponding is always one-to-one. To create this correspondence, you set the property of the object. This causes the to register itself as a listener, which produces the output of events that affect the .

To generate INSERT, UPDATE, or DELETE statements, the uses the property to retrieve a required set of metadata. If you change the value of after the metadata has been retrieved, such as after the first update, you should then call the method to update the metadata.

If the SELECT statement assigned to the property uses aliased column names, the resulting INSERT, UPDATE, and DELETE statements may be inaccurate or fail. If the underlying ODBC driver cannot provide the appropriate base column name for the alias column name (using the SQL_DESC_BASE_COLUMN_NAME value of SQLColAttribute), the alias name could be used in the generated INSERT, UPDATE, and DELETE statements. For example, the Microsoft ODBC Driver for Oracle returns the alias name as the base column name. Therefore, the generated INSERT, UPDATE, and DELETE statements would cause errors.

The also uses the , , and properties referenced by the . The user should call if one or more of these properties are modified, or if the value of the property itself is changed. Otherwise the , , and properties retain their previous values.

If you call , the is disassociated from the , and the generated commands are no longer used.

Automatically generates single-table commands that are used to reconcile changes made to a with the associated data source. This class cannot be inherited.

- Constructor

  The base constructor initializes all fields to their default values.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor

  The registers itself as a listener for events that are generated by the specified in this property.

  When you create a new instance of , any existing associated with this is released.

  Initializes a new instance of the class with the associated object.

  An object to associate with this .
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.ComponentModel.DefaultValue(null)
  System.Data.Odbc.OdbcDataAdapter To be added.

  The registers itself as a listener for events that are generated by the specified in this property.

  When you create a new instance of , any existing associated with this is released.

  Gets or sets an object for which this object will generate SQL statements.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  overwrites any existing parameter information for the .

  requires an additional call to the data source to obtain the information. If the parameter information is known in advance, it is more efficient to populate the parameters collection by setting the information explicitly.

  You can only use with stored procedures. You cannot use to populate the with arbitrary Transact-SQL statements, such as a parameterized SELECT statement.

  Retrieves parameter information from the stored procedure specified in the and populates the collection of the specified object.

  The referencing the stored procedure from which the parameter information is to be derived. The derived parameters are added to the collection of the . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0
- Method
  System.Data.Odbc.OdbcCommand

  You can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the SQL statement is first generated, you must explicitly call if it changes the statement in any way. Otherwise, the will be using information from the previous statement, which might not be correct. The SQL statements are first generated when the application calls either or .

  Gets the automatically generated object required to perform deletions at the data source.

  The automatically generated object required to perform deletions.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.Odbc.OdbcCommand ``

  You can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the SQL statement is first generated, you must explicitly call if it changes the statement in any way. Otherwise, the will be using information from the previous statement, which might not be correct. The SQL statements are first generated when the application calls either or .

  The default behavior, when generating parameter names, is to use @p1, @p2, and so on for the various parameters. Passing true for the parameter lets you force the to generate parameters based on the column names instead. This succeeds only if the following conditions are met:

  The has been specified, and its length is equal to or greater than the generated parameter name.

  The generated parameter name meets the criteria specified in the regular expression.

  A is specified.

  Gets the automatically generated object required to perform deletions at the data source.

  The automatically generated object required to perform deletions.

  If true, generate parameter names matching column names, if it is possible. If false, generate @p1, @p2, and so on.
- Method
  System.Data.Odbc.OdbcCommand

  You can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the SQL statement is first generated, you must explicitly call if it changes the statement in any way. Otherwise, the still will be using information from the previous statement, which might not be correct. The SQL statements are first generated when the application calls either or .

  Gets the automatically generated object required to perform insertions at the data source.

  The automatically generated object required to perform insertions.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.Odbc.OdbcCommand ``

  You can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the SQL statement is first generated, you must explicitly call if it changes the statement in any way. Otherwise, the will be using information from the previous statement, which might not be correct. The SQL statements are first generated when the application calls either or .

  The default behavior, when generating parameter names, is to use @p1, @p2, and so on for the various parameters. Passing true for the parameter lets you force the to generate parameters based on the column names instead. This succeeds only if the following conditions are met:

  The has been specified, and its length is equal to or greater than the generated parameter name.

  The generated parameter name meets the criteria specified in the regular expression.

  A is specified.

  Gets the automatically generated object required to perform insertions at the data source.

  The automatically generated object required to perform insertions.

  If true, generate parameter names matching column names, if it is possible. If false, generate @p1, @p2, and so on.
- Method
  System.String `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Data.Odbc.OdbcCommand

  You can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the SQL statement is first generated, you must explicitly call if it changes the statement in any way. Otherwise, the still will be using information from the previous statement, which might not be correct. The SQL statements are first generated when the application calls either or .

  Gets the automatically generated object required to perform updates at the data source.

  The automatically generated object required to perform updates.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.Odbc.OdbcCommand ``

  You can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the SQL statement is first generated, you must explicitly call if it changes the statement in any way. Otherwise, the still will be using information from the previous statement, which might not be correct. The SQL statements are first generated when the application calls either or .

  The default behavior, when generating parameter names, is to use @p1, @p2, and so on for the various parameters. Passing true for the parameter lets you force the to generate parameters based on the column names instead. This succeeds only if the following conditions are met:

  The has been specified, and its length is equal to or greater than the generated parameter name.

  The generated parameter name meets the criteria specified in the regular expression.

  A is specified.

  Gets the automatically generated object required to perform updates at the data source.

  The automatically generated object required to perform updates.

  If true, generate parameter names matching column names, if it is possible. If false, generate @p1, @p2, and so on.
- Method
  System.String `` To be added.

  Given an unquoted identifier in the correct catalog case, returns the correct quoted form of that identifier. This includes correctly escaping any embedded quotes in the identifier.

  The quoted version of the identifier. Embedded quotes within the identifier are correctly escaped.

  The original unquoted identifier. 2.0.0.0
- Method
  2.0.0.0
  System.String `` `` To be added.

  Given an unquoted identifier in the correct catalog case, returns the correct quoted form of that identifier. This includes correctly escaping any embedded quotes in the identifier.

  The quoted version of the identifier. Embedded quotes within the identifier are correctly escaped.

  The original unquoted identifier. When a connection is passed, causes the managed wrapper to get the quote character from the ODBC driver, calling SQLGetInfo(SQL_IDENTIFIER_QUOTE_CHAR). When no connection is passed, the string is quoted using values from and .
- Property
  System.ComponentModel.DesignerSerializationVisibility(Visibility=System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(Browsable=False)
  System.String To be added. To be added. To be added. 1.0.5000.0
- Property
  System.ComponentModel.DesignerSerializationVisibility(Visibility=System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(Browsable=False)
  System.String To be added. To be added. To be added. 1.0.5000.0
- Method
  System.Void To be added. To be added. 1.0.5000.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.String `` To be added.

  Given a quoted identifier, returns the correct unquoted form of that identifier, including correctly unescaping any embedded quotes in the identifier.

  The unquoted identifier, with embedded quotes correctly unescaped.

  The identifier that will have its embedded quotes removed. 2.0.0.0
- Method
  2.0.0.0
  System.String `` `` To be added.

  Given a quoted identifier, returns the correct unquoted form of that identifier, including correctly unescaping any embedded quotes in the identifier.

  The unquoted identifier, with embedded quotes correctly unescaped.

  The identifier that will have its embedded quotes removed. The .